import 'package:json_theme/json_theme_schemas.dart';

class CustomScrollViewSchema {
  static const id =
      'https://peiffer-innovations.github.io/flutter_json_schemas/schemas/json_dynamic_widget/custom_scroll_view.json';

  static final schema = {
    r'$schema': 'http://json-schema.org/draft-06/schema#',
    r'$id': id,
    r'$children': 1,
    r'$comment':
        'https://api.flutter.dev/flutter/widgets/CustomScrollView-class.html',
    'title': 'CustomScrollView',
    'type': 'object',
    'additionalProperties': false,
    'properties': {
      'anchor': SchemaHelper.numberSchema,
      'cacheExtent': SchemaHelper.numberSchema,
      'clipBehavior': SchemaHelper.objectSchema(ClipSchema.id),
      'center': SchemaHelper.stringSchema,
      'controller': SchemaHelper.stringSchema,
      'dragStartBehavior':
          SchemaHelper.objectSchema(DragStartBehaviorSchema.id),
      'keyboardDismissBehavior':
          SchemaHelper.objectSchema(ScrollViewKeyboardDismissBehaviorSchema.id),
      'padding': SchemaHelper.objectSchema(EdgeInsetsGeometrySchema.id),
      'physics': SchemaHelper.objectSchema(ScrollPhysicsSchema.id),
      'primary': SchemaHelper.boolSchema,
      'restorationId': SchemaHelper.stringSchema,
      'reverse': SchemaHelper.boolSchema,
      'scrollBehavior': SchemaHelper.objectSchema(ScrollBehaviorSchema.id),
      'scrollDirection': SchemaHelper.objectSchema(AxisSchema.id),
      'semanticChildCount': SchemaHelper.numberSchema,
      'shrinkWrap': SchemaHelper.boolSchema,
    },
  };
}
